Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/AvailablePluginsView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/AvailablePluginsView.Designer.cs	(revision 3710)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/AvailablePluginsView.Designer.cs	(revision 3721)
@@ -178,5 +178,5 @@
       this.showDetailsButton.Appearance = System.Windows.Forms.Appearance.Button;
       this.showDetailsButton.Checked = true;
-      this.showDetailsButton.Image = global::HeuristicLab.PluginInfrastructure.Properties.Resources.show_details;
+      this.showDetailsButton.Image = global::HeuristicLab.PluginInfrastructure.Resources.ShowDetails;
       this.showDetailsButton.Location = new System.Drawing.Point(221, 19);
       this.showDetailsButton.Name = "showDetailsButton";
@@ -192,5 +192,5 @@
       this.showLargeIconsButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
       this.showLargeIconsButton.Appearance = System.Windows.Forms.Appearance.Button;
-      this.showLargeIconsButton.Image = global::HeuristicLab.PluginInfrastructure.Properties.Resources.show_icons;
+      this.showLargeIconsButton.Image = global::HeuristicLab.PluginInfrastructure.Resources.ShowIcons;
       this.showLargeIconsButton.Location = new System.Drawing.Point(190, 19);
       this.showLargeIconsButton.Name = "showLargeIconsButton";
@@ -205,5 +205,5 @@
       this.installProductsButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
       this.installProductsButton.Enabled = false;
-      this.installProductsButton.Image = global::HeuristicLab.PluginInfrastructure.Properties.Resources.VS2008ImageLibrary_Objects_Install;
+      this.installProductsButton.Image = global::HeuristicLab.PluginInfrastructure.Resources.Install;
       this.installProductsButton.Location = new System.Drawing.Point(6, 527);
       this.installProductsButton.Name = "installProductsButton";
@@ -218,5 +218,5 @@
       // refreshButton
       // 
-      this.refreshButton.Image = global::HeuristicLab.PluginInfrastructure.Properties.Resources.VS2008ImageLibrary_Objects_Internet;
+      this.refreshButton.Image = global::HeuristicLab.PluginInfrastructure.Resources.Internet;
       this.refreshButton.Location = new System.Drawing.Point(6, 19);
       this.refreshButton.Name = "refreshButton";
@@ -247,5 +247,5 @@
       this.installPluginsButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
       this.installPluginsButton.Enabled = false;
-      this.installPluginsButton.Image = global::HeuristicLab.PluginInfrastructure.Properties.Resources.VS2008ImageLibrary_Objects_Install;
+      this.installPluginsButton.Image = global::HeuristicLab.PluginInfrastructure.Resources.Install;
       this.installPluginsButton.Location = new System.Drawing.Point(6, 527);
       this.installPluginsButton.Name = "installPluginsButton";
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/AvailablePluginsView.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/AvailablePluginsView.cs	(revision 3710)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/AvailablePluginsView.cs	(revision 3721)
@@ -68,7 +68,7 @@
     public AvailablePluginsView() {
       InitializeComponent();
-      productImageList.Images.Add(HeuristicLab.PluginInfrastructure.Resources.Resources.Setup_Install);
-      productLargeImageList.Images.Add(HeuristicLab.PluginInfrastructure.Resources.Resources.Setup_Install);
-      pluginsImageList.Images.Add(HeuristicLab.PluginInfrastructure.Resources.Resources.plugin_16);
+      productImageList.Images.Add(HeuristicLab.PluginInfrastructure.Resources.Setup_Install);
+      productLargeImageList.Images.Add(HeuristicLab.PluginInfrastructure.Resources.Setup_Install);
+      pluginsImageList.Images.Add(HeuristicLab.PluginInfrastructure.Resources.Plugin);
       refreshServerPluginsBackgroundWorker = new BackgroundWorker();
       refreshServerPluginsBackgroundWorker.DoWork += new DoWorkEventHandler(refreshServerPluginsBackgroundWorker_DoWork);
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/BasicUpdateView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/BasicUpdateView.Designer.cs	(revision 3710)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/BasicUpdateView.Designer.cs	(revision 3721)
@@ -53,5 +53,5 @@
       // 
       this.updateAndInstallButton.Anchor = System.Windows.Forms.AnchorStyles.None;
-      this.updateAndInstallButton.Image = global::HeuristicLab.PluginInfrastructure.Properties.Resources.VS2008ImageLibrary_Objects_Internet;
+      this.updateAndInstallButton.Image = HeuristicLab.PluginInfrastructure.Resources.Internet;
       this.updateAndInstallButton.Location = new System.Drawing.Point(3, 2);
       this.updateAndInstallButton.Name = "updateAndInstallButton";
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/EditProductsView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/EditProductsView.Designer.cs	(revision 3710)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/EditProductsView.Designer.cs	(revision 3721)
@@ -81,5 +81,5 @@
       // 
       this.refreshButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.refreshButton.Image = global::HeuristicLab.PluginInfrastructure.Properties.Resources.VS2008ImageLibrary_Objects_Internet;
+      this.refreshButton.Image = global::HeuristicLab.PluginInfrastructure.Resources.Internet;
       this.refreshButton.Location = new System.Drawing.Point(6, 394);
       this.refreshButton.Name = "refreshButton";
@@ -96,5 +96,5 @@
       this.uploadButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
       this.uploadButton.Enabled = false;
-      this.uploadButton.Image = global::HeuristicLab.PluginInfrastructure.Properties.Resources.PublishToWebHS;
+      this.uploadButton.Image = global::HeuristicLab.PluginInfrastructure.Resources.PublishToWeb;
       this.uploadButton.Location = new System.Drawing.Point(85, 394);
       this.uploadButton.Name = "uploadButton";
@@ -144,5 +144,5 @@
       // 
       this.deleteProductButton.Enabled = false;
-      this.deleteProductButton.Image = global::HeuristicLab.PluginInfrastructure.Properties.Resources.VS2008ImageLibrary_CommonElements_Actions_Remove;
+      this.deleteProductButton.Image = global::HeuristicLab.PluginInfrastructure.Resources.Remove;
       this.deleteProductButton.Location = new System.Drawing.Point(116, 19);
       this.deleteProductButton.Name = "deleteProductButton";
@@ -158,5 +158,5 @@
       // 
       this.newProductButton.Enabled = false;
-      this.newProductButton.Image = global::HeuristicLab.PluginInfrastructure.Properties.Resources.VS2008ImageLibrary_CommonElements_Actions_Add;
+      this.newProductButton.Image = global::HeuristicLab.PluginInfrastructure.Resources.Add;
       this.newProductButton.Location = new System.Drawing.Point(6, 19);
       this.newProductButton.Name = "newProductButton";
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/EditProductsView.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/EditProductsView.cs	(revision 3710)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/EditProductsView.cs	(revision 3721)
@@ -48,7 +48,7 @@
       InitializeComponent();
 
-      productImageList.Images.Add(HeuristicLab.PluginInfrastructure.Resources.Resources.Setup_Install);
-      productImageList.Images.Add(HeuristicLab.PluginInfrastructure.Resources.Resources.ArrowUp);
-      pluginImageList.Images.Add(HeuristicLab.PluginInfrastructure.Resources.Resources.plugin_16);
+      productImageList.Images.Add(HeuristicLab.PluginInfrastructure.Resources.Setup_Install);
+      productImageList.Images.Add(HeuristicLab.PluginInfrastructure.Resources.ArrowUp);
+      pluginImageList.Images.Add(HeuristicLab.PluginInfrastructure.Resources.Plugin);
 
       dirtyProducts = new HashSet<DeploymentService.ProductDescription>();
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerForm.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerForm.Designer.cs	(revision 3710)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerForm.Designer.cs	(revision 3721)
@@ -284,5 +284,5 @@
       // connectionSettingsToolStripMenuItem
       // 
-      this.connectionSettingsToolStripMenuItem.Image = global::HeuristicLab.PluginInfrastructure.Properties.Resources.VS2008ImageLibrary_Objects_NetworkConnections;
+      this.connectionSettingsToolStripMenuItem.Image = global::HeuristicLab.PluginInfrastructure.Resources.NetworkConnections;
       this.connectionSettingsToolStripMenuItem.Name = "connectionSettingsToolStripMenuItem";
       this.connectionSettingsToolStripMenuItem.Size = new System.Drawing.Size(190, 22);
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstalledPluginsView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstalledPluginsView.Designer.cs	(revision 3710)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstalledPluginsView.Designer.cs	(revision 3721)
@@ -112,5 +112,5 @@
       // 
       this.refreshButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.refreshButton.Image = global::HeuristicLab.PluginInfrastructure.Properties.Resources.RepeatHS1;
+      this.refreshButton.Image = global::HeuristicLab.PluginInfrastructure.Resources.Repeat;
       this.refreshButton.Location = new System.Drawing.Point(0, 483);
       this.refreshButton.Name = "refreshButton";
@@ -127,5 +127,5 @@
       this.removeButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
       this.removeButton.Enabled = false;
-      this.removeButton.Image = global::HeuristicLab.PluginInfrastructure.Properties.Resources.VS2008ImageLibrary_CommonElements_Actions_Remove;
+      this.removeButton.Image = global::HeuristicLab.PluginInfrastructure.Resources.Remove;
       this.removeButton.Location = new System.Drawing.Point(222, 483);
       this.removeButton.Name = "removeButton";
@@ -142,5 +142,5 @@
       this.updateSelectedButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
       this.updateSelectedButton.Enabled = false;
-      this.updateSelectedButton.Image = global::HeuristicLab.PluginInfrastructure.Properties.Resources.VS2008ImageLibrary_Objects_Internet;
+      this.updateSelectedButton.Image = global::HeuristicLab.PluginInfrastructure.Resources.Internet;
       this.updateSelectedButton.Location = new System.Drawing.Point(102, 483);
       this.updateSelectedButton.Name = "updateSelectedButton";
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstalledPluginsView.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstalledPluginsView.cs	(revision 3710)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstalledPluginsView.cs	(revision 3721)
@@ -63,5 +63,5 @@
       enabledPluginsGroup = localPluginsListView.Groups["activePluginsGroup"];
       disabledPluginsGroup = localPluginsListView.Groups["disabledPluginsGroup"];
-      pluginImageList.Images.Add(HeuristicLab.PluginInfrastructure.Resources.Resources.plugin_16);
+      pluginImageList.Images.Add(HeuristicLab.PluginInfrastructure.Resources.Plugin);
       removePluginsBackgroundWorker = new BackgroundWorker();
       removePluginsBackgroundWorker.DoWork += new DoWorkEventHandler(removePluginsBackgroundWorker_DoWork);
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/PluginView.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/PluginView.cs	(revision 3710)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/PluginView.cs	(revision 3721)
@@ -55,8 +55,8 @@
 
     private void PopulateImageList() {
-      pluginsImageList.Images.Add(IMAGE_KEY_PLUGIN, HeuristicLab.PluginInfrastructure.Resources.Resources.plugin_16);
-      filesImageList.Images.Add(IMAGE_KEY_ASSEMBLY, HeuristicLab.PluginInfrastructure.Resources.Resources.Assembly);
-      filesImageList.Images.Add(IMAGE_KEY_FILE, HeuristicLab.PluginInfrastructure.Resources.Resources.File);
-      filesImageList.Images.Add(IMAGE_KEY_DOCUMENT, HeuristicLab.PluginInfrastructure.Resources.Resources.Document);
+      pluginsImageList.Images.Add(IMAGE_KEY_PLUGIN, HeuristicLab.PluginInfrastructure.Resources.Plugin);
+      filesImageList.Images.Add(IMAGE_KEY_ASSEMBLY, HeuristicLab.PluginInfrastructure.Resources.Assembly);
+      filesImageList.Images.Add(IMAGE_KEY_FILE, HeuristicLab.PluginInfrastructure.Resources.File);
+      filesImageList.Images.Add(IMAGE_KEY_DOCUMENT, HeuristicLab.PluginInfrastructure.Resources.Document);
     }
 
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/UploadPluginsView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/UploadPluginsView.Designer.cs	(revision 3710)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/UploadPluginsView.Designer.cs	(revision 3721)
@@ -61,5 +61,5 @@
       this.uploadButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
       this.uploadButton.Enabled = false;
-      this.uploadButton.Image = global::HeuristicLab.PluginInfrastructure.Properties.Resources.PublishToWebHS;
+      this.uploadButton.Image = global::HeuristicLab.PluginInfrastructure.Resources.PublishToWeb;
       this.uploadButton.Location = new System.Drawing.Point(78, 482);
       this.uploadButton.Name = "uploadButton";
@@ -75,5 +75,5 @@
       // 
       this.refreshButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.refreshButton.Image = global::HeuristicLab.PluginInfrastructure.Properties.Resources.VS2008ImageLibrary_Objects_Internet;
+      this.refreshButton.Image = global::HeuristicLab.PluginInfrastructure.Resources.Internet;
       this.refreshButton.Location = new System.Drawing.Point(0, 482);
       this.refreshButton.Name = "refreshButton";
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/UploadPluginsView.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/UploadPluginsView.cs	(revision 3710)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/UploadPluginsView.cs	(revision 3721)
@@ -50,5 +50,5 @@
     public UploadPluginsView() {
       InitializeComponent();
-      pluginImageList.Images.Add(HeuristicLab.PluginInfrastructure.Resources.Resources.plugin_16);
+      pluginImageList.Images.Add(HeuristicLab.PluginInfrastructure.Resources.Plugin);
       localAndServerPlugins = new Dictionary<IPluginDescription, IPluginDescription>();
 